using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SDL2;

namespace testdrid.SdlWrapper
{
    internal class SdlException : ApplicationException
    {
        private SdlException(string s) : base()
        {
        }

        public static SdlException GenerateException()
        {
            return new SdlException(SDL.SDL_GetError());
        }
    }
}
